Subject: [pim] BIDIR bit in PIM Join/Prune Message

From: "Neeraj Prasad" <[email-masked]>
Date: Mon, 8 Jan 2007 17:29:04 +0530

Hello,

I am facing a strange problem for CISCO

I have a topology like this -

TOPOLOGY
-------------------

T1-------D1,D2--------T2--------S1

CONFIGURATION
---------------------------
D1 and D2 are router interafces
S1 is in a different subnet that D1 and D2
A static route to S1 is configured through T2

S1 is configured as RPA for group G1 in bidir mode (ip pim rp-address <S1 IP
address> bidir)

T1 and T2 are established as BIDIR neighbor for the router i.e PIM Hello
with BIDIR option set is being sent out at hello interval period

Problem statement
---------------------------

I send one PIM Join/Prune message from T1 towards D1 with following values -

Upstream Nbr Address = D1's IP address
Multicast Address = G1
Joined Source Address = S1's IP address
RPT-bit=1
S-bit=1
WC-bit=1
Bidir-bit=1

I received a PIM Join/Prune message on T2 with desired parameters except
that the BIDIR-bit is unset.

QUERY
------------
Is this a valid behaviour. If 'yes' can anyone explain why this is
happening. If 'no' can any CISCO people explain why this is happening.

Please let me know if more information is required.

Thanks in advance,

Regards,
Neeraj.
_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim